/**Begin D:\PDM_UPGRADE\PDM1\BCM_table.sql **/


 EXEC p_AlterColumn 'T_BCM_ISPRODUCT', 'FNAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_ISDATATRACE_FROM') 
 CREATE TABLE T_BCM_ISDATATRACE_FROM (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FSEARCHKEY VARCHAR(60) DEFAULT ' ' NOT NULL,
FYEARNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIODNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFDATAFROM NCLOB,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_ERRORLOG') 
 CREATE TABLE T_BCM_ERRORLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
